View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000684aMuleSearchpublic2005-12-04 17:362006-03-15 16:11
ReporterJacobo221 
Assigned ToKry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionSVN 
Summary0000684: old remaining bug: difficult to close tabs when too many are open (not to fit window)
Descriptionwhen to many tabs are open and they do not fit window size, thwo arrows appear (one at the left, opne at th right on > wx2.5). Since the X button is not really a button but a clickable image, it's possition is gathered from the top leftmost pixel. when the arrows appear, this possition has to be incremented in the arrow's width.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001548)
Xaignar (manager)
2005-12-05 01:28

I think this is a wxWidgets bug, since we (at least with gtk2) rely on the HitTest function.
(0001553)
Kry (manager)
2005-12-05 01:47

wx bug. Can't fix.
(0001554)
Jacobo221 (updater)
2005-12-05 01:48

feedback then. leio!!!!
(0001630)
leio (reporter)
2005-12-11 11:53

Small stand-alone testcase, please.
(0001631)
Kry (manager)
2005-12-11 11:57

Any notebook that uses HitTest is an example :P

Or you want me to do an example based on the notebook wx sample?
(0001632)
leio (reporter)
2005-12-11 11:58

Yeah, basically. I want a testcase that prints out the HitTest values and where the print-out is obviously wrong
(0001633)
Kry (manager)
2005-12-11 11:59

you crazy? That would take me like 5 minutes!
(0001634)
leio (reporter)
2005-12-11 12:06

Your 5 minutes are over.
(0001644)
leio (reporter)
2005-12-12 02:12

One must always do everything by himself :(
So I made a testcase in 5 minutes.
The described problem doesn't appear for me. The fact if the click was on an icon or not is detected without problems here on the minimal testcase sample I made.
However, if the left-most visible tab is not the first tab, the wrong tab would be closed on clicking on 'X', as far I can see.
Please re-test the original problem, and please see if the wrong tab is closed in the described case (left-most visible tab != actual first tab).
(0001652)
leio (reporter)
2005-12-13 02:56

Something fixed upstream, but the aMule problems seems to still appear. Need a testcase that exhibits the aMule problem (my testcase was fixed).
(0001880)
Kry (manager)
2006-03-15 16:11

Gone

- Issue History
Date Modified Username Field Change
2005-12-04 17:36 Jacobo221 New Issue
2005-12-05 01:28 Xaignar Note Added: 0001548
2005-12-05 01:47 Kry Status new => assigned
2005-12-05 01:47 Kry Assigned To => Kry
2005-12-05 01:47 Kry Note Added: 0001553
2005-12-05 01:48 Jacobo221 Note Added: 0001554
2005-12-11 11:53 leio Note Added: 0001630
2005-12-11 11:57 Kry Note Added: 0001631
2005-12-11 11:58 leio Note Added: 0001632
2005-12-11 11:59 Kry Note Added: 0001633
2005-12-11 12:06 leio Note Added: 0001634
2005-12-12 02:12 leio Note Added: 0001644
2005-12-13 02:56 leio Note Added: 0001652
2006-03-15 16:11 Kry Status assigned => resolved
2006-03-15 16:11 Kry Fixed in Version => CVS
2006-03-15 16:11 Kry Resolution open => fixed
2006-03-15 16:11 Kry Note Added: 0001880


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker